attribute vec2 tex1;
varying vec2 texCoord;
varying vec3 eyeSC;
uniform float anim;
void main()
{

 texCoord = gl_MultiTexCoord0.xy;

 /*mod[0] = vec4(1.0,0.0,0.0,0.0);
 mod[1] = vec4(0.0,1.0,0.0,0.0);
 mod[2] = vec4(0.0,0.0,1.0,0.0);//*/
 
 /*mod[0] *=0.8; 
 mod[1] *=0.8;
 mod[2] *=0.2; */
 vec4 vert = gl_Vertex;
 vert.x+=sin(anim*vert.y)*pow(length(gl_Vertex.xz)*0.1,3.3)*0.04;
 vert.z+=cos(anim*vert.x*0.2)*pow(length(gl_Vertex.xz)*0.1,2.7231)*0.04;
 vert.y+=cos(anim*vert.x*0.01)*pow(length(gl_Vertex.xz)*0.1,2.7231)*0.04;
 gl_Position = gl_ProjectionMatrix*gl_ModelViewMatrix*vert;

 eyeSC = gl_Position.xyz/gl_Position.w;
}